- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# CStreamSwitcherPassThru Class Reference

List of all members.

## Public Member Functions
| CStreamSwitcherPassThru (LPUNKNOWN, HRESULT *phr, CStreamSwitcherFilter *pFilter)
DECLARE_IUNKNOWN STDMETHODIMP | NonDelegatingQueryInterface (REFIID riid, void **ppv)
STDMETHODIMP | GetCapabilities (DWORD *pCapabilities)
STDMETHODIMP | CheckCapabilities (DWORD *pCapabilities)
STDMETHODIMP | SetTimeFormat (const GUID *pFormat)
STDMETHODIMP | GetTimeFormat (GUID *pFormat)
STDMETHODIMP | IsUsingTimeFormat (const GUID *pFormat)
STDMETHODIMP | IsFormatSupported (const GUID *pFormat)
STDMETHODIMP | QueryPreferredFormat (GUID *pFormat)
STDMETHODIMP | ConvertTimeFormat (LONGLONG *pTarget, const GUID *pTargetFormat, LONGLONG Source, const GUID *pSourceFormat)
STDMETHODIMP | SetPositions (LONGLONG *pCurrent, DWORD CurrentFlags, LONGLONG *pStop, DWORD StopFlags)
STDMETHODIMP | GetPositions (LONGLONG *pCurrent, LONGLONG *pStop)
STDMETHODIMP | GetCurrentPosition (LONGLONG *pCurrent)
STDMETHODIMP | GetStopPosition (LONGLONG *pStop)
STDMETHODIMP | SetRate (double dRate)
STDMETHODIMP | GetRate (double *pdRate)
STDMETHODIMP | GetDuration (LONGLONG *pDuration)
STDMETHODIMP | GetAvailable (LONGLONG *pEarliest, LONGLONG *pLatest)
STDMETHODIMP | GetPreroll (LONGLONG *pllPreroll)
STDMETHODIMP | get_Duration (REFTIME *plength)
STDMETHODIMP | put_CurrentPosition (REFTIME llTime)
STDMETHODIMP | get_StopTime (REFTIME *pllTime)
STDMETHODIMP | put_StopTime (REFTIME llTime)
STDMETHODIMP | get_PrerollTime (REFTIME *pllTime)
STDMETHODIMP | put_PrerollTime (REFTIME llTime)
STDMETHODIMP | get_Rate (double *pdRate)
STDMETHODIMP | put_Rate (double dRate)
STDMETHODIMP | get_CurrentPosition (REFTIME *pllTime)
STDMETHODIMP | CanSeekForward (LONG *pCanSeekForward)
STDMETHODIMP | CanSeekBackward (LONG *pCanSeekBackward)
## Protected Attributes
CStreamSwitcherFilter * | m_pFilter

## Detailed Description

Definition at line 46 of file StreamSwitcher.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/switcher/audioswitcher/StreamSwitcher.h
- C:/guliverkli/src/filters/switcher/audioswitcher/StreamSwitcher.cpp